import { IDesignItem } from "../../item/IDesignItem.js";
import { IRefactorService } from "./IRefactorService.js";
import { IRefactoring } from "./IRefactoring.js";
export declare class TextRefactorService implements IRefactorService {
    getRefactorings(designItems: IDesignItem[]): IRefactoring[];
    refactor(refactoring: IRefactoring, oldValue: string, newValue: string): void;
}
